"""Colors for plotly templates."""
COLORS = {
    "WHITE_12": "rgba(255,255,255,0.10)",
    "WHITE_30": "rgba(255,255,255,0.30)",
    "WHITE_55": "rgba(255,255,255,0.55)",
    "WHITE_85": "rgba(255,255,255,0.85)",
    "BLACK_12": "rgba(0,0,0,0.10)",
    "BLACK_30": "rgba(0,0,0,0.30)",
    "BLACK_55": "rgba(0,0,0,0.55)",
    "BLACK_85": "rgba(0,0,0,0.85)",
    "BLACK_100": "rgba(255,255,255,1)",
    # NEW COLORS
    "Surface_01": "#101D29",
    "GREY_20": "rgb(218,222,226)",
    "GREY_30": "#C0C6CB",
    "GREY_60": "#64717A",
    "GREY_55": "#747F88",
    "DARK_BG01": "#232632",
    "DARK_BG02": "#1B1E2A",
    "DARK_BG03": "#141721",
    "Light_BG01": "#FFFFFF",
    "Light_BG02": "f5f6f6",
    "Light_BG03": "#E6E8EA",
    "Light50": "#ffffff",
    "Light50_10%": "rgba(255,255,255,0.10)",
    "Light50_24%": "rgba(255,255,255,0.24)",
    "Light50_38%": "rgba(255,255,255,0.38)",
    "Light50_60%": "rgba(255,255,255,0.60)",
    "Light50_88%": "rgba(255,255,255,0.88)",
    "Light100": "#fafafb",
    "Light200": "#f5f6f6",
    "Light300": "#f0f1f2",
    "Light400": "#ebedee",
    "Light500": "#e6e8ea",
    "Light600": "#e2e4e6",
    "Light700": "#dddfe1",
    "Light800": "#d8dadd",
    "Light900": "#d3d6d9",
    "Dark900_10%": "rgba(20,23,33,0.10)",
    "Dark900_24%": "rgba(20,23,33,0.24)",
    "Dark900_38%": "rgba(20,23,33,0.38)",
    "Dark900_60%": "rgba(20,23,33,0.60)",
    "Dark900_88%": "rgba(20,23,33,0.88)",
    "Dark100": "#333640",
    "Dark200": "#2f323c",
    "Dark300": "#2b2e39",
    "Dark400": "#272a35",
    "Dark500": "#232632",
    "Dark600": "#1f222e",
    "Dark700": "#1b1e2a",
    "Dark800": "#181b26",
    "Dark900": "#141721",
    "DIVERGING_PURPLE_ORANGE": [
        "#0f237c",
        "#2b3794",
        "#464bab",
        "#615ec2",
        "#7c74d6",
        "#958be4",
        "#afa3f1",
        "#cabcff",
        "#dfd8fa",
        "#f5f5f5",
        "#f9d8ac",
        "#feb85b",
        "#f09b32",
        "#db811e",
        "#c76809",
        "#b05000",
        "#973a00",
        "#7e2400",
        "#640d00",
    ],
    "DIVERGING_ORANGE_TEAL": [
        "#640d00",
        "#7e2400",
        "#973a00",
        "#b05000",
        "#c76809",
        "#db811e",
        "#f09b32",
        "#feb85b",
        "#f9d8ac",
        "#f5f5f5",
        "#a5eae8",
        "#46dad7",
        "#32c2bf",
        "#1daaa8",
        "#099391",
        "#007c7a",
        "#006565",
        "#005050",
        "#003b3c",
    ],
    "DIVERGING_RED_CYAN": [
        "#7e000c",
        "#9d1021",
        "#bc1f37",
        "#db2f4c",
        "#ea536b",
        "#f67486",
        "#fe94a0",
        "#fbb6be",
        "#f8d6da",
        "#E6E8EA",
        "#afe7f9",
        "#5bd6fe",
        "#3bbef1",
        "#24a6e1",
        "#0d8ed1",
        "#0077bd",
        "#0061a4",
        "#004c8c",
        "#003875",
    ],
    "DIVERGING_YELLOW_BLUE": [
        "#fdc935",
        "#fbbb34",
        "#f5ae37",
        "#eda23b",
        "#e49640",
        "#da8c45",
        "#d0814a",
        "#c5774e",
        "#b96d53",
        "#ad6457",
        "#a15a5b",
        "#94515e",
        "#874962",
        "#794166",
        "#6a3969",
        "#5a316d",
        "#482b70",
        "#312474",
        "#021f77",
    ],
    "SEQUENTIAL_CYAN": [
        "#afe7f9",
        "#5bd6fe",
        "#3bbef1",
        "#24a6e1",
        "#0d8ed1",
        "#0077bd",
        "#0061a4",
        "#004c8c",
        "#003875",
    ],
    "SEQUENTIAL_BLUE": [
        "#dfdcff",
        "#c3c1ff",
        "#a7a7ff",
        "#8a8df9",
        "#7177e0",
        "#5861c7",
        "#3d4caf",
        "#1c3997",
        "#04247d",
    ],
    "SEQUENTIAL_ORANGE": [
        "#f9d8ac",
        "#feb85b",
        "#f09b32",
        "#db811e",
        "#c76809",
        "#b05000",
        "#973a00",
        "#7e2400",
        "#640d00",
    ],
    "SEQUENTIAL_TEAL": [
        "#aeebea",
        "#54dfdb",
        "#38c9c6",
        "#25b4b1",
        "#139f9c",
        "#018a88",
        "#007574",
        "#006160",
        "#004e4e",
    ],
    "SEQUENTIAL_GREEN": [
        "#b6ee82",
        "#9dd46a",
        "#84bb52",
        "#6ba23b",
        "#538a23",
        "#3b7307",
        "#215c00",
        "#094600",
        "#013000",
    ],
    "SEQUENTIAL_RED": [
        "#f8d6da",
        "#fbb6be",
        "#fe94a0",
        "#f67486",
        "#ea536b",
        "#db2f4c",
        "#bc1f37",
        "#9d1021",
        "#7e000c",
    ],
    "DISCRETE_10": [
        "#00b4ff",
        "#ff9222",
        "#3949ab",
        "#ff5267",
        "#08bdba",
        "#fdc935",
        "#689f38",
        "#976fd1",
        "#f781bf",
        "#52733e",
    ],
}
